<h2 matDialogTitle class="dialog-title">
    <span>Settings</span>
    <span class="horizontal-spacer"></span>
    <span>
        <button mat-icon-button mat-dialog-close>
            <mat-icon>close</mat-icon>
        </button>
    </span>
</h2>
<mat-dialog-content>
    <div class="row">
        <div class="col-xl-3 menu-list">
            <mat-card
            [appearance]="'outlined'"
            *ngFor="let menuItem of menuItems"
            (click)="setSelectedMenuItem(menuItem)"
            mat-ripple
            [matTooltip]="'Not available on ' + applicationType"
            [matTooltipShowDelay]="200"
            [matTooltipDisabled]="menuItemEnabled(menuItem)"
            [ngStyle]="!menuItemEnabled(menuItem) ? {'cursor': 'default', 'background-color': 'rgb(246, 246, 246)'} : {}"
            [ngClass]="menuItem == selectedMenuItem ? 'selected' : ''">
              <mat-card-content>{{menuItem.label}}</mat-card-content>
              <mat-card-footer></mat-card-footer>
            </mat-card>
        </div>
        <div class="col-xl-9 content">
            <ng-template #viewContainerRef></ng-template>
        </div>
    </div>
</mat-dialog-content>